Subject: Re: static vs. dynamic - gimp

From: [email-masked] (Gilbert Ramirez Jr.)
Date: Wed, 11 Sep 1996 20:03:44 -0500 (CDT)

As [email-masked] said:
> 
>      Hello all.
>      
>      I would like to install gimp.
>      
>      Pardon my ignorance ...
>      I see that there are two versions.
>      
>      gimp-dmotif (dynamic)
>      vs.
>      gimp-smotif (static)

motif is a commercial library of routines for X applications to use.
The static gimp binary has the necessary motif functions linked in with
it... resulting in large file. 

The dynamically-linked motif does not have those motif functions. The
executble file is much smaller this way, but you need to have the motif
library installed on your system. To do this, you have to buy it. The going
price is about $100 or so (I believe).

Developers are allowed to statically link their executables to the motif
library and distribute the resulting program freely, as long as they do not
distribute the motif source code.
      
>      I am using a standard debian install with X, tcp/ip ...
>      
>      I would like to know :
>      
>         q1 - how do I know if I can use the static version?

You can always use the static version. You can *only* use the dynamic
version if you buy motif. 

Of course, in the tradition of free software, there is a group of
programmers working on a free drop-in-replacement for motif. It's called
lesstif, but it's still in its early stages.
      
>         q2 - given a choice between both, what version would be "better or
>              faster ...". Are there any pros and/or cons to choosing one or 
>              the other when both are valid options for a given machine 
>      (i.e..         speed vs. size ... )?

I'd go for the dynamic version because of the smaller file size. BUT you
need to buy motif to do so. So until you do, you'll have to use the static
version.
      
>      Thanx in advance ...
>      
>      Keep up the good work - it is greatly appreciated.
> 
> 

--gilbert
______________________________________________________________________
Gilbert Ramirez Jr.                     [email-masked]
University of Texas                     http://merece.uthscsa.edu/gram
Health Science Center at San Antonio    University Health System